com.google.gwt.dom.builder.client

## Class DomInputBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.client.DomElementBuilderBase<InputBuilder,InputElement>
    - - com.google.gwt.dom.builder.client.DomInputBuilder

All Implemented Interfaces:
  ElementBuilderBase<InputBuilder>, InputBuilder

    public class DomInputBuilder
    extends DomElementBuilderBase<InputBuilder,InputElement>
    implements InputBuilder

DOM-based implementation of `InputBuilder`.

### Constructor Summary

Constructors
Constructor and Description
`DomInputBuilder(DomBuilderImpl delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InputBuilder` `accept(java.lang.String accept)` A comma-separated list of content types that a server processing this form will handle correctly.
`InputBuilder` `accessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`InputBuilder` `alt(java.lang.String alt)` Alternate text for user agents not rendering the normal content of this element.
`InputBuilder` `checked()` Set the state of the form control to `true` when type attribute of the element has the value "radio" or "checkbox".
`InputBuilder` `defaultChecked()` Set the default state of the form control to `true` when type attribute of the element has the value "radio" or "checkbox".
`InputBuilder` `defaultValue(java.lang.String defaultValue)` When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element.
`InputBuilder` `disabled()` Disable the control.
`InputBuilder` `maxLength(int maxLength)` Maximum number of characters for text fields, when type has the value "text" or "password".
`InputBuilder` `name(java.lang.String name)` Form control or object name when submitted with a form.
`InputBuilder` `readOnly()` Make the control read-only.
`InputBuilder` `size(int size)` Size information.
`InputBuilder` `src(java.lang.String src)` When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
`InputBuilder` `value(java.lang.String value)` When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent.

### Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase

`assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

### Constructor Detail

#### DomInputBuilder

    DomInputBuilder(DomBuilderImpl delegate)

### Method Detail

#### accept

    public InputBuilder accept(java.lang.String accept)

Description copied from interface: `InputBuilder`
A comma-separated list of content types that a server processing this form will handle correctly.

Specified by:
  `accept` in interface `InputBuilder`
See Also:
  W3C HTML Specification

#### accessKey

    public InputBuilder accessKey(java.lang.String accessKey)

Description copied from interface: `InputBuilder`
A single character access key to give access to the form control.

Specified by:
  `accessKey` in interface `InputBuilder`
See Also:
  W3C HTML Specification

#### alt

    public InputBuilder alt(java.lang.String alt)

Description copied from interface: `InputBuilder`
Alternate text for user agents not rendering the normal content of this element.

Specified by:
  `alt` in interface `InputBuilder`
See Also:
  W3C HTML Specification

#### checked

    public InputBuilder checked()

Description copied from interface: `InputBuilder`
Set the state of the form control to `true` when type attribute of the element has the value "radio" or "checkbox".

Specified by:
  `checked` in interface `InputBuilder`

#### defaultChecked

    public InputBuilder defaultChecked()

Description copied from interface: `InputBuilder`
Set the default state of the form control to `true` when type attribute of the element has the value "radio" or "checkbox".

Specified by:
  `defaultChecked` in interface `InputBuilder`
See Also:
  W3C HTML Specification

#### defaultValue

    public InputBuilder defaultValue(java.lang.String defaultValue)

Description copied from interface: `InputBuilder`
When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.

Specified by:
  `defaultValue` in interface `InputBuilder`
See Also:
  W3C HTML Specification

#### disabled

    public InputBuilder disabled()

Description copied from interface: `InputBuilder`
Disable the control.

Specified by:
  `disabled` in interface `InputBuilder`
See Also:
  W3C HTML Specification

#### maxLength

    public InputBuilder maxLength(int maxLength)

Description copied from interface: `InputBuilder`
Maximum number of characters for text fields, when type has the value "text" or "password".

Specified by:
  `maxLength` in interface `InputBuilder`
See Also:
  W3C HTML Specification

#### name

    public InputBuilder name(java.lang.String name)

Description copied from interface: `InputBuilder`
Form control or object name when submitted with a form.

Specified by:
  `name` in interface `InputBuilder`
See Also:
  W3C HTML Specification

#### readOnly

    public InputBuilder readOnly()

Description copied from interface: `InputBuilder`
Make the control read-only. Relevant only when type has the value "text" or "password".

Specified by:
  `readOnly` in interface `InputBuilder`
See Also:
  W3C HTML Specification

#### size

    public InputBuilder size(int size)

Description copied from interface: `InputBuilder`
Size information. The precise meaning is specific to each type of field.

Specified by:
  `size` in interface `InputBuilder`
See Also:
  W3C HTML Specification

#### src

    public InputBuilder src(java.lang.String src)

Description copied from interface: `InputBuilder`
When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.

Specified by:
  `src` in interface `InputBuilder`
See Also:
  W3C HTML Specification

#### value

    public InputBuilder value(java.lang.String value)

Description copied from interface: `InputBuilder`
When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the value of the HTML value attribute of the element. When the type attribute of the element has the value "button", "hidden", "submit", "reset", "image", "checkbox" or "radio", this represents the HTML value attribute of the element.

Specified by:
  `value` in interface `InputBuilder`
See Also:
  W3C HTML Specification